Index: trunk/LMDZ.GENERIC/deftank/context_lmdz_physics.xml
===================================================================
--- trunk/LMDZ.GENERIC/deftank/context_lmdz_physics.xml	(revision 2710)
+++ trunk/LMDZ.GENERIC/deftank/context_lmdz_physics.xml	(revision 2737)
@@ -47,5 +47,5 @@
         </domain>
 
-        <domain id="dom_out" domain_ref="dom_720_360"/>
+        <domain id="dom_out" domain_ref="dom_128_96"/>
     </domain_definition>
     <!-- <domain_definition src="./domain_def.xml"/> -->
@@ -63,4 +63,16 @@
               unit="km">
         </axis>
+        <!--Added for diagspecIR-->
+        <axis id="IR_Wavenumber"
+               standard_name="Band mid frequency in the infrared"
+               unit="cm-1"> 
+        </axis>
+        <!--Added for diagspecVI-->
+        <axis id="VI_Wavenumber"
+              standard_name="Band mid frequency in the visible"
+              unit=
+            "cm-1">
+        </axis>
+
     </axis_definition>
 
@@ -78,5 +90,14 @@
             <domain domain_ref="dom_glo" />
         </grid>
-
+        <!--Added for diagspecIR-->
+        <grid id='grid_IR_3D'>
+            <domain domain_ref="dom_glo" />
+            <axis axis_ref='IR_Wavenumber'/>
+        </grid>
+        <!-- Added for diagspecVI-->
+        <grid id="grid_VI_3D">
+          <domain domain_ref="dom_glo" />
+          <axis axis_ref="VI_Wavenumber"/>
+        </grid>
         <!-- grid for interpolated lon-lat outputs -->
         <!-- to output scalars -->
@@ -91,5 +112,21 @@
         <grid id="grid_2D_out">                                                   
             <domain domain_ref="dom_out" />                                       
-        </grid>                                                                   
+        </grid>
+        <!--added for diagspecIR-->
+        <grid id="grid_IR_3D_out">
+            <domain domain_ref="dom_out"/>
+            <axis axis_ref="IR_Wavenumber"/>
+        </grid>
+        <grid id="grid_IR">
+            <axis axis_ref="IR_Wavenumber"/>
+        </grid>
+        <!--Added for diagspecVI-->
+        <grid id="grid_VI_3D_out">
+            <domain domain_ref="dom_out"/>
+            <axis axis_ref="VI_Wavenumber"/> 
+        </axis>
+        <grid id="grid_VI">
+          <axis axis_ref="VI_Wavenumber"/> 
+        </grid>
     </grid_definition>                                                            
                                                                                   
@@ -116,5 +153,5 @@
         <file id="histins"                                                        
               name="Xhistins"                                                     
-              output_freq="2ts"                                                   
+              output_freq="50ts"                                                   
               type="one_file"                                                     
               time_units="days"
@@ -140,5 +177,6 @@
                   <field field_ref="ps" enabled="true" />                         
                   <field field_ref="ISR" enabled="true" />                        
-                  <field field_ref="OLR" enabled="true" />                        
+                  <field field_ref="OLR" enabled="true" />
+                  <field field_ref="ASR" enabled="true" />                        
               </field_group>  
 
@@ -152,15 +190,66 @@
                   <field field_ref="temperature" />                               
 
-                  <field field_ref="h2o_vap" />
+                  <!--field field_ref="h2o_vap" />
                   <field field_ref="h2o_ice" />
                   <field field_ref="w_plm" />
                   <field field_ref="detr" />
-                  <field field_ref="entr" />
+                  <field field_ref="entr" /-->
               </field_group>                                                      
                                                                                   
             <!--</field_group>-->                                                 
-        </file>                                                                   
-                                                                                  
-    </file_definition>                                                            
-                                                                                  
+        </file>   
+       <!--XspecIR-->                                                                 
+      <file id="specIR"
+            name="XspecIR"
+            output_freq="50ts"
+            type="one_file"
+            time_units="days"
+            enabled="true">     
+          <!--Var 1D ?-->
+          <field_group operation="instant"
+                        grid_ref="grid_IR"
+                        freq_op="1ts">
+              <field field_ref="IR_Bandwidth" operation="once"/>
+          </field_group>
+          <!--Var 2D-->
+          <field_group operation="instant" prec="4"
+                        grid_ref="grid_2D_out"
+                        freq_op="1ts">
+              <field field_ref="area" operation="once" />
+          </field_group>
+          <!--Var 3D-->
+          <field_group operation="instant"
+                        grid_ref="grid_IR_3D_out"
+                        freq_op="1ts">
+              <field field_ref="OLR3D" />
+          </field_group>
+      </file>
+       <!--XspecVI-->                                                                 
+      <file id="specVI"
+            name="XspecVI"
+            output_freq="50ts"
+            type="one_file"
+            time_units="days"
+            enabled="true">     
+          <!--Var 1D -->
+          <field_group operation="instant"
+                        grid_ref="grid_VI"
+                        freq_op="1ts">
+              <field field_ref="VI_Bandwidth" operation="once"/>
+          </field_group>
+          <!--Var 2D-->
+          <field_group operation="instant" prec="4"
+                        grid_ref="grid_2D_out"
+                        freq_op="1ts">
+              <field field_ref="area" operation="once" />
+          </field_group>
+          <!--Var 3D-->
+          <field_group operation="instant"
+                        grid_ref="grid_VI_3D_out"
+                        freq_op="1ts">
+              <field field_ref="OSR3D" />
+              <field field_ref="GSR3D" />
+          </field_group>
+      </file>
+    </file_definition>                                                                                                                                     
 </context>  
Index: trunk/LMDZ.GENERIC/deftank/field_def_physics.xml
===================================================================
--- trunk/LMDZ.GENERIC/deftank/field_def_physics.xml	(revision 2710)
+++ trunk/LMDZ.GENERIC/deftank/field_def_physics.xml	(revision 2737)
@@ -14,5 +14,15 @@
                    unit="degrees" />
         </field_group>
-
+       <!-- 1D variables (spectral)-->
+       <field_group id="IR_fields" grid_ref="grid_IR">
+              <field id="IR_Bandwidth"
+                     long_name="Bandwidth in the infrared"
+                     unit="cm-1"/>
+       </field_group>
+       <field_group id="VI_field" grid_ref="grid_VI">
+              <field id="VI_Bandwidth"
+                     long_name="Bandwith in the visible"
+                     unit="cm-1"/>
+       </field_group>
         <!-- 2D variables -->
         <field_group id="fields_2D" grid_ref="grid_2D">
@@ -29,4 +39,7 @@
                    long_name="incoming solar radiation"  
                    unit="W/m2" />
+            <field id="ASR"
+                   long_name="Absorbed stellar radiation"
+                    unit="W/m2" />  
         </field_group>
 
@@ -63,5 +76,19 @@
 
         </field_group>
-
+        <!--Spectral IR 3D variables-->
+        <field_group id="spectral_IR_3D" grid_ref="grid_IR_3D">
+              <field id="OLR3D"
+                     long_name="OLR(lon,lat,band)"
+                     unit="W/m^2/cm^-1" />
+       </field_group>
+       <!-- SPectral VI 3D variables-->
+       <field_group id="spectral_VI_3D" grid_ref="grid_VI_3D">
+              <field id="OSR3D"
+                     long_name="OSR(lon,lat,band"
+                     unit="W/m^2/cm^-1"/>
+              <field id="GSR3D"
+                     long_name="GSR(lon,lat,band)"
+                     unit="w/m^2/cm^-1"/>
+       </field_group>
     </field_definition>
 