Index: trunk/LMDZ.GENERIC/libf/phystd/interpolateH2H2.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/interpolateH2H2.F90	(revision 2837)
+++ trunk/LMDZ.GENERIC/libf/phystd/interpolateH2H2.F90	(revision 2870)
@@ -58,10 +58,12 @@
 
       character*20 bleh
-      double precision blah, Ttemp
+      double precision blah, Ttemp, ztemp
       integer nres
 
       integer ind
+
+      ztemp=temp
       if ((H2orthopara_mixture .eq. "hot")) then
-        if (temp .gt. 7000.) then
+        if (ztemp .gt. 7000.) then
           if (strictboundcia) then
             if (is_master) then
@@ -70,18 +72,18 @@
             stop
           else
-            if (is_master) then
-              print*,'Your temperatures are too high for this H2-H2 CIA dataset (Hot Jupiter case)'
-              print*,'you have chosen strictboundcia = ', strictboundcia
-              print*,'*********************************************************'
-              print*,' we allow model to continue but with temp = 7000          '
-              print*,'  ...       for H2-H2 CIA dataset          ...           '
-              print*,'  ... we assume we know what you are doing ...           '
-              print*,'*********************************************************'
-            endif !is_master
-            temp = 7000.
+            !if (is_master) then
+            !  print*,'Your temperatures are too high for this H2-H2 CIA dataset (Hot Jupiter case)'
+            !  print*,'you have chosen strictboundcia = ', strictboundcia
+            !  print*,'*********************************************************'
+            !  print*,' we allow model to continue but with temp = 7000          '
+            !  print*,'  ...       for H2-H2 CIA dataset          ...           '
+            !  print*,'  ... we assume we know what you are doing ...           '
+            !  print*,'*********************************************************'
+            !endif !is_master
+            ztemp = 7000.
           endif !strictboundcia
         endif !(temp .gt. 7000.)
       else ! if not "hot"
-        if(temp.gt.400)then
+        if(ztemp.gt.400)then
           if (strictboundcia) then
             if (is_master) then
@@ -92,16 +94,16 @@
             stop
           else
-            if (is_master) then
-              print*,'Your temperatures are too high for this H2-H2 CIA dataset'
-              print*,'you have chosen strictboundcia = ', strictboundcia
-              print*,'*********************************************************'
-              print*,' we allow model to continue but with temp = 400          '
-              print*,'  ...       for H2-H2 CIA dataset          ...           '
-              print*,'  ... we assume we know what you are doing ...           '
-              print*,'*********************************************************'
-            endif !is_master
-            temp = 400
+            !if (is_master) then
+            !  print*,'Your temperatures are too high for this H2-H2 CIA dataset'
+            !  print*,'you have chosen strictboundcia = ', strictboundcia
+            !  print*,'*********************************************************'
+            !  print*,' we allow model to continue but with temp = 400          '
+            !  print*,'  ...       for H2-H2 CIA dataset          ...           '
+            !  print*,'  ... we assume we know what you are doing ...           '
+            !  print*,'*********************************************************'
+            !endif !is_master
+            ztemp = 400
           endif !of strictboundcia
-        elseif(temp.lt.40)then     
+        elseif(ztemp.lt.40)then     
           if (strictboundcia) then
             if (is_master) then
@@ -112,14 +114,14 @@
             stop
           else
-            if (is_master) then
-              print*,'Your temperatures are too low for this H2-H2 CIA dataset'
-              print*,'you have chosen strictboundcia = ', strictboundcia
-              print*,'*********************************************************'
-              print*,' we allow model to continue but with temp = 40           '
-              print*,'  ...       for H2-H2 CIA dataset          ...           '
-              print*,'  ... we assume we know what you are doing ...           '
-              print*,'*********************************************************'
-            endif !is_master
-            temp = 40
+            !if (is_master) then
+            !  print*,'Your temperatures are too low for this H2-H2 CIA dataset'
+            !  print*,'you have chosen strictboundcia = ', strictboundcia
+            !  print*,'*********************************************************'
+            !  print*,' we allow model to continue but with temp = 40           '
+            !  print*,'  ...       for H2-H2 CIA dataset          ...           '
+            !  print*,'  ... we assume we know what you are doing ...           '
+            !  print*,'*********************************************************'
+            !endif !is_master
+            ztemp = 40
           endif !of strictboundcia       
         endif ! of (temp .gt. 400)
@@ -216,5 +218,5 @@
             
             
-         call bilinearbig(nS,nT,wn_arr,temp_arr,abs_arr,wn,temp,abcoef,ind)
+         call bilinearbig(nS,nT,wn_arr,temp_arr,abs_arr,wn,ztemp,abcoef,ind)
 
          !print*,'the absorption is ',abcoef,' cm^5 molecule^-2'